local M = {}
local conf = require('user.modules.completion.config')

M['hrsh7th/nvim-cmp'] = {
    event = 'InsertEnter',
    wants = { 'LuaSnip', 'neogen' },
    requires = {
        {
            'L3MON4D3/LuaSnip',
            wants = 'friendly-snippets',
            requires = { { 'rafamadriz/friendly-snippets', opt = true } },
            config = conf.luasnip,
            opt = true,
        },
    },
    config = conf.cmp,
}
M['saadparwaiz1/cmp_luasnip'] = { after = 'nvim-cmp' }
M['hrsh7th/cmp-path'] = { after = 'nvim-cmp' }
M['hrsh7th/cmp-buffer'] = { after = 'nvim-cmp' }
M['hrsh7th/cmp-calc'] = { after = 'nvim-cmp' }
M['mtoohey31/cmp-fish'] = { after = 'nvim-cmp' }
M['hrsh7th/cmp-nvim-lua'] = { after = 'nvim-cmp' }
M['hrsh7th/cmp-nvim-lsp'] = { after = { 'nvim-cmp', 'nvim-lspconfig' } }
M['PaterJason/cmp-conjure'] = { after = { 'conjure', 'nvim-cmp' } }
M['windwp/nvim-autopairs'] = { after = 'nvim-cmp', config = conf.autopairs }

return M
